<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>..\Performance.Api\wwwroot\Performance.EntityModels.xml</DocumentationFile>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="T4Template\**" />
    <EmbeddedResource Remove="T4Template\**" />
    <None Remove="T4Template\**" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="Entity\dis_drugatc.Generated.cs" />
    <Compile Remove="Entity\dis_drug_tree.Generated.cs" />
    <Compile Remove="Entity\dis_drug_type.Generated.cs" />
    <Compile Remove="Entity\dis_drug_useinfo_fee.Generated.cs" />
    <Compile Remove="Entity\dis_ip_fee.Generated.cs" />
    <Compile Remove="Entity\dis_use_drugs.Generated.cs" />
    <Compile Remove="Entity\drug_department_useinfo.Generated.cs" />
    <Compile Remove="Entity\drug_dosage.Generated.cs" />
    <Compile Remove="Entity\drug_first_use.Generated.cs" />
    <Compile Remove="Entity\drug_hosinfo.Generated.cs" />
    <Compile Remove="Entity\drug_p_info.Generated.cs" />
    <Compile Remove="Entity\drug_p_mi.Generated.cs" />
    <Compile Remove="Entity\drug_p_userinfo.Generated.cs" />
    <Compile Remove="Entity\drug_som.Generated.cs" />
    <Compile Remove="Entity\hos_department_coc.Generated.cs" />
    <Compile Remove="Entity\hos_department_fee.Generated.cs" />
    <Compile Remove="Entity\hos_disease_person.Generated.cs" />
    <Compile Remove="Entity\hos_drugatc.Generated.cs" />
    <Compile Remove="Entity\hos_drug_fee.Generated.cs" />
    <Compile Remove="Entity\hos_drug_type.Generated.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="2.2.0" />
  </ItemGroup>

  <ItemGroup>
    <Service Include="{508349b6-6b84-4df5-91f0-309beebad82d}" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="T4\AutoContext.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>AutoContext.tt</DependentUpon>
    </Compile>
    <Compile Update="T4\AutoEntity.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>AutoEntity.tt</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <None Update="T4\AutoContext.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <LastGenOutput>AutoContext.cs</LastGenOutput>
    </None>
    <None Update="T4\AutoEntity.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <LastGenOutput>AutoEntity.cs</LastGenOutput>
    </None>
  </ItemGroup>

</Project>
